> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tx Ops Get Batch Details

> Name and signature indicate it returns tx ops get batch details

Required scope: `payments:read`. It also needs `banking:read`, `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/tx-ops-get-batch-details
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/tx-ops-get-batch-details:
    get:
      operationId: txOpsGetBatchDetails
      summary: Tx Ops Get Batch Details
      x-toku-required-scope: payments:read
      description: >-
        Name and signature indicate it returns tx ops get batch details


        Required scope: `payments:read`. It also needs `banking:read`,
        `compensation:read`.
      parameters:
        - name: batchID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxOpsGetBatchDetailsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    TxOpsGetBatchDetailsResponse:
      type: object
      properties:
        executionMode:
          type: string
        batchID:
          type: string
        orgID:
          type: string
        name:
          type:
            - string
            - 'null'
        module:
          type: string
        status:
          type: string
        createdAt:
          type: string
        batchAssets:
          type: array
          items:
            type: object
            properties:
              networkChainID:
                type: string
              networkName:
                type: string
              networkType:
                type: string
              tokenAddress:
                type: string
              tokenSymbol:
                type: string
              tokenDecimals:
                type: integer
            required:
              - networkChainID
              - networkName
              - networkType
              - tokenAddress
              - tokenSymbol
              - tokenDecimals
        groups:
          type: array
          items:
            type: object
            properties:
              groupKey:
                type: string
              networkChainID:
                type: string
              networkName:
                type: string
              tokenAddress:
                type: string
              tokenSymbol:
                type: string
              tokenIcon:
                type:
                  - string
                  - 'null'
              paymentRail:
                type: string
                enum:
                  - CRYPTO
                  - FIAT
              fundingConstraintKey:
                type:
                  - string
                  - 'null'
              plannedProvider:
                type:
                  - string
                  - 'null'
              plannedSourceCustodyWalletID:
                type:
                  - string
                  - 'null'
              plannedSourceWalletAddress:
                type:
                  - string
                  - 'null'
              totalAmount:
                type: string
              readyAmount:
                type: string
              recipientCount:
                type: integer
              readyCount:
                type: integer
              status:
                type: string
              execution:
                type:
                  - object
                  - 'null'
                properties:
                  attemptNumber:
                    type: integer
                  provider:
                    type: string
                  sourceAddress:
                    type: string
                  status:
                    type: string
                  counts:
                    type: object
                    properties:
                      total:
                        type: integer
                      pending:
                        type: integer
                      awaitingApproval:
                        type: integer
                      confirming:
                        type: integer
                      needsReview:
                        type: integer
                      completed:
                        type: integer
                      failed:
                        type: integer
                    required:
                      - total
                      - pending
                      - awaitingApproval
                      - confirming
                      - needsReview
                      - completed
                      - failed
                  approval:
                    type:
                      - object
                      - 'null'
                    properties:
                      currentSignatures:
                        type: integer
                      requiredSignatures:
                        type: integer
                      safeAppUrl:
                        type: string
                    required:
                      - currentSignatures
                      - requiredSignatures
                      - safeAppUrl
                  transactions:
                    type: array
                    items:
                      type: object
                      properties:
                        transactionID:
                          type: string
                        providerTransactionID:
                          type:
                            - string
                            - 'null'
                        status:
                          type: string
                        txHash:
                          type:
                            - string
                            - 'null'
                        errorCode:
                          type:
                            - string
                            - 'null'
                        errorMessage:
                          type:
                            - string
                            - 'null'
                        errorStage:
                          type:
                            - string
                            - 'null'
                        isRetryable:
                          type: boolean
                      required:
                        - transactionID
                        - providerTransactionID
                        - status
                        - txHash
                        - errorCode
                        - errorMessage
                        - errorStage
                        - isRetryable
                  fiatTransfers:
                    type: array
                    items:
                      type: object
                      additionalProperties: {}
                required:
                  - attemptNumber
                  - provider
                  - sourceAddress
                  - status
                  - counts
                  - approval
                  - transactions
                  - fiatTransfers
              releasableUnsentCount:
                type: integer
              resubmittableUnsentCount:
                type: integer
              awaitingFundingCount:
                type: integer
              executionAttemptCount:
                type: integer
              latestExecutionAttemptNumber:
                type:
                  - integer
                  - 'null'
              latestExecutionFinishedAt:
                type:
                  - string
                  - 'null'
              fiatSandboxSimulation:
                type: boolean
            required:
              - groupKey
              - networkChainID
              - networkName
              - tokenAddress
              - tokenSymbol
              - tokenIcon
              - paymentRail
              - fundingConstraintKey
              - plannedProvider
              - plannedSourceCustodyWalletID
              - plannedSourceWalletAddress
              - totalAmount
              - readyAmount
              - recipientCount
              - readyCount
              - status
              - execution
              - releasableUnsentCount
              - resubmittableUnsentCount
              - awaitingFundingCount
              - executionAttemptCount
              - latestExecutionAttemptNumber
              - latestExecutionFinishedAt
              - fiatSandboxSimulation
        intents:
          type: array
          items:
            type: object
            properties:
              executionMode:
                type: string
              externalEvidence:
                type:
                  - object
                  - 'null'
                properties:
                  requestID:
                    type: string
                  state:
                    type: string
                  chainID:
                    type: string
                  transactionHash:
                    type: string
                  transferRef:
                    type:
                      - string
                      - 'null'
                  paidAt:
                    type:
                      - string
                      - 'null'
                  verifiedAt:
                    type:
                      - string
                      - 'null'
                  finalizedAt:
                    type:
                      - string
                      - 'null'
                  errorCode:
                    type:
                      - string
                      - 'null'
                required:
                  - requestID
                  - state
                  - chainID
                  - transactionHash
                  - transferRef
                  - paidAt
                  - verifiedAt
                  - finalizedAt
                  - errorCode
              paymentIntentID:
                type: string
              destinationAddress:
                type: string
              destinationName:
                type:
                  - string
                  - 'null'
              destinationMetadata:
                type:
                  - object
                  - 'null'
                additionalProperties: {}
              amount:
                type: string
              tokenSymbol:
                type: string
              status:
                type: string
              canRecordExternalPayment:
                type: boolean
              manualSettledAmount:
                type: string
              manualSettlements:
                type: array
                items:
                  type: object
                  properties:
                    settlementID:
                      type: string
                    amount:
                      type: string
                    transactionHash:
                      type: string
                    paidAt:
                      type: string
                    recordedBy:
                      type: string
                    createdAt:
                      type: string
                    notes:
                      type:
                        - string
                        - 'null'
                    voidedAt:
                      type:
                        - string
                        - 'null'
                    voidedBy:
                      type:
                        - string
                        - 'null'
                    voidReason:
                      type:
                        - string
                        - 'null'
                  required:
                    - settlementID
                    - amount
                    - transactionHash
                    - paidAt
                    - recordedBy
                    - createdAt
                    - notes
                    - voidedAt
                    - voidedBy
                    - voidReason
              module:
                type: string
              groupKey:
                type: string
              createdAt:
                type: string
              networkName:
                type: string
              paymentRail:
                type: string
              fiatDestination: {}
              invoiceContext:
                type:
                  - object
                  - 'null'
                properties:
                  invoicePaymentID:
                    type: string
                  invoiceNumber:
                    type: string
                  clientOrgID:
                    type: string
                  clientOrgName:
                    type: string
                required:
                  - invoicePaymentID
                  - invoiceNumber
                  - clientOrgID
                  - clientOrgName
              plannedProvider:
                type:
                  - string
                  - 'null'
              plannedSourceCustodyWalletID:
                type:
                  - string
                  - 'null'
              plannedSourceWalletAddress:
                type:
                  - string
                  - 'null'
              latestExecution:
                type:
                  - object
                  - 'null'
                properties:
                  executionAttemptID:
                    type: string
                  attemptNumber:
                    type: integer
                  provider:
                    type: string
                  sourceAddress:
                    type: string
                  executionStatus:
                    type: string
                  intentExecutionStatus:
                    type:
                      - string
                      - 'null'
                  rail:
                    type: string
                    enum:
                      - CRYPTO
                      - FIAT
                  submittedAt:
                    type:
                      - string
                      - 'null'
                  completedAt:
                    type:
                      - string
                      - 'null'
                  transactionCount:
                    type: integer
                  completedTransactionCount:
                    type: integer
                  failedTransactionCount:
                    type: integer
                  hashPreview:
                    type:
                      - string
                      - 'null'
                  hashCount:
                    type: integer
                  referencePreview:
                    type:
                      - string
                      - 'null'
                  latestErrorCode:
                    type:
                      - string
                      - 'null'
                  latestErrorMessage:
                    type:
                      - string
                      - 'null'
                  latestErrorStage:
                    type:
                      - string
                      - 'null'
                  anyRetryable:
                    type: boolean
                  lastUpdatedAt:
                    type: string
                  fiatFx:
                    type:
                      - object
                      - 'null'
                    additionalProperties: {}
                  approvalUrl:
                    type:
                      - string
                      - 'null'
                  needsReview:
                    type: boolean
                  awaitingApproval:
                    type: boolean
                  approval:
                    type:
                      - object
                      - 'null'
                    properties:
                      currentSignatures:
                        type: integer
                      requiredSignatures:
                        type: integer
                      signUrl:
                        type: string
                    required:
                      - currentSignatures
                      - requiredSignatures
                      - signUrl
                required:
                  - executionAttemptID
                  - attemptNumber
                  - provider
                  - sourceAddress
                  - executionStatus
                  - intentExecutionStatus
                  - rail
                  - submittedAt
                  - completedAt
                  - transactionCount
                  - completedTransactionCount
                  - failedTransactionCount
                  - hashPreview
                  - hashCount
                  - referencePreview
                  - latestErrorCode
                  - latestErrorMessage
                  - latestErrorStage
                  - anyRetryable
                  - lastUpdatedAt
                  - fiatFx
                  - approvalUrl
                  - needsReview
                  - awaitingApproval
                  - approval
              valuation: {}
            required:
              - executionMode
              - externalEvidence
              - paymentIntentID
              - destinationAddress
              - destinationName
              - destinationMetadata
              - amount
              - tokenSymbol
              - status
              - module
              - groupKey
              - createdAt
              - networkName
              - paymentRail
              - fiatDestination
              - invoiceContext
              - plannedProvider
              - plannedSourceCustodyWalletID
              - plannedSourceWalletAddress
              - latestExecution
              - valuation
        lastRefreshedAt:
          type: string
      required:
        - executionMode
        - batchID
        - orgID
        - name
        - module
        - status
        - createdAt
        - batchAssets
        - groups
        - intents
        - lastRefreshedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
